Commits

Jesse Chounard  committed e67bcf3

Added a windows (Visual Studio 2010) template. Requires bash. (msys or cygwin)

  • Participants
  • Parent commits b170ba5

Comments (0)

Files changed (2)

File Templates/generate_vs2010.sh

+#!/bin/bash
+
+# verify argument
+if [[ $# -ne 1 ]]
+then
+	echo "Usage: ./generate_vs2010 ProjectName"
+	exit 1
+fi
+
+ProjectName=$1
+
+function ProcessDirectory
+{
+	cd $1
+	
+	for f in *
+	do
+		if [[ $f == *XXXXXX* ]]
+		then
+			n=`echo $f | sed s/XXXXXX/$ProjectName/`
+			mv $f $n
+			f=$n
+		fi
+		
+		if [[ -d $f ]]; then
+			ProcessDirectory $f
+		else
+			sed s/XXXXXX/$ProjectName/g $f > /tmp/temp.tmp
+			mv /tmp/temp.tmp $f
+		fi
+	done
+	
+	cd ..
+}
+
+tar -zxf vs2010_template.tar.gz
+mv XXXXXX $ProjectName
+
+echo "Generating project: $ProjectName"
+
+ProcessDirectory $ProjectName

File Templates/vs2010_template.tar.gz

Binary file added.